<?php

namespace FiloBlu\Maintenance\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    /**
     * @var \Magento\Framework\HTTP\PhpEnvironment\RemoteAddress
     */
    protected $remoteAddress;

    public function __construct(
    \Magento\Framework\App\Helper\Context $context
    ) {

        $this->remoteAddress = $context->getRemoteAddress();

        parent::__construct($context);
    }

    public function getConfig($config_path, $section = 'filoblu_maintenance_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function isAllowedIp() {
        $isAllowed = false;
 
        if ($this->getConfig("general/allowed_ips") && in_array($this->remoteAddress->getRemoteAddress(), explode(",",trim($this->getConfig("general/allowed_ips"))))) {
            $isAllowed = true;
        }

        return $isAllowed;
    }

}
